<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.trs.ggzyexchange.mapper.ZcBidpublicityMapper">

    <select id="queryZcBidpublicityAllList" resultType="com.trs.ggzyexchange.entity.TenderDetailsVo">

        select
            zcb.SOURCE_DATA_KEY sourceDataKey,
            zp.PROJECT_CODE projectCode,
            zp.PURCHASE_PROJECT_NAME projectName,
            zcb.PURCHASE_PROJECT_CODE tenderProjectCode,
            zcb.WIN_BID_BULLETIN_TITLE noticeName,
            zcb.WIN_BID_BULLETIN_CONTENT noticeContent,
            zcb.WIN_BID_BULLETIN_START_TIME noticeSendTime,
            zp.REGION_CODE regionCode,
            zcb.PLATFORM_CODE platformCode,
            zcb.DATA_SOURCE_CODE dataSourceCode,
            zcb.WIN_BID_BULLETIN_START_TIME docGetStartTime,
            zcb.WIN_BID_BULLETIN_END_TIME docGetEndTime,
            zcb.WIN_BID_BULLETIN_END_TIME bidDocReferEndTime,
            zcb.WIN_BID_BULLETIN_START_TIME bidOpenTime
        from
            ZC_BIDPUBLICITY zcb
                left join ZC_PROJECT zp
                          on zcb.PURCHASE_PROJECT_CODE = zp.PURCHASE_PROJECT_CODE
    </select>
</mapper>
